glamor: add EXT_gpu_shader4 support

This enables a number of the GLSL 1.30 paths on GPUs that have
EXT_gpu_shader4 but don't have GLSL 1.30 exposed.

(Intel gen4/5 mainly)

Reviewed-by: Adam Jackson <ajax@redhat.com>
7 jobs for glamor-gpu-shader4 in 4 minutes and 47 seconds (queued for 13 seconds)
Status Job ID Name Coverage
  Docker Image
passed debian-buster #11566343

00:00:12

 
  Build And Test
passed autotools #11566353

00:04:15

passed meson #11566345

00:02:07

passed meson-noglamor #11566354

00:01:20

passed mingw-cross-build #11566347

00:00:42

failed autotools #11566344

00:00:16

failed meson-noglamor #11566346

00:00:16